package com.mycompany.workngwithanimation;

import android.app.Activity;
import android.media.Image;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;


public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button startFade = (Button)findViewById(R.id.button_fade);
        startFade.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                fadeAnimation(v);
            }
        });

        Button startZoom = (Button)findViewById(R.id.button_zoom);
        startZoom.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                zoomAnimation(v);
            }
        });

        Button startRotate = (Button)findViewById(R.id.button_rotate);
        startRotate.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                rotateAnimation(v);
            }
        });

        Button startMove = (Button)findViewById(R.id.button_move);
        startMove.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                moveAnimation(v);
            }
        });
    }

    private void moveAnimation(View v) {
        Animation animation = AnimationUtils.loadAnimation(
                getApplicationContext(), R.anim.move);
        ImageView image = (ImageView) findViewById(R.id.imageView);
        image.startAnimation(animation);
    }

    private void rotateAnimation(View v) {
        Animation animation = AnimationUtils.loadAnimation(
                getApplicationContext(), R.anim.rotate);
        ImageView image = (ImageView) findViewById(R.id.imageView);
        image.startAnimation(animation);
    }

    private void zoomAnimation(View v) {
        Animation animation = AnimationUtils.loadAnimation(
                getApplicationContext(), R.anim.zoom);
        ImageView image = (ImageView) findViewById(R.id.imageView);
        image.startAnimation(animation);
    }

    private void fadeAnimation(View v) {
        Animation animation = AnimationUtils.loadAnimation(
                getApplicationContext(), R.anim.fade);
        ImageView image = (ImageView) findViewById(R.id.imageView);
        image.startAnimation(animation);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
